Time tracking
Review Timesheet Period
Admin approves or rejects a signed timesheet period with note rules, auditing and notifying employee.
POSThttps://api.toku.com/hris/review-timesheet-period
Not available to API keys yet. It will need time:write.
curl --request POST \
--url 'https://api.toku.com/hris/review-timesheet-period' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"timesheetPeriodID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"decision": "APPROVE",
"note": "string",
"remediationAction": "COMPENSATORY_REST_GRANTED"
}'200 response
{}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
timesheetPeriodIDstring<uuid>requireddecisionstringrequiredAvailable options: APPROVE, REJECT
notestringAllowed: at most 1000 characters
remediationActionstringAvailable options: COMPENSATORY_REST_GRANTED, SCHEDULE_ADJUSTED, WORKLOAD_REDISTRIBUTED, EMPLOYEE_BRIEFED_ON_LIMITS, ESCALATED_TO_HR
Response
200Successful response
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits